#!/usr/bin/env sh

ANSIBLE_PACKAGE="ansible"

# Check if package is installed
if dpkg -l | grep -q "ii  $ANSIBLE_PACKAGE "; then
    echo "$ANSIBLE_PACKAGE is already installed"
else
    echo "$ANSIBLE_PACKAGE is not installed. Installing now..."
    # Update package list and install the package
    sudo apt-get update
    sudo apt-get install -y "$ANSIBLE_PACKAGE"

    # Check if installation was successful
    if [ $? -eq 0 ]; then
        echo "$ANSIBLE_PACKAGE installed successfully"
    else
        echo "Failed to install $ANSIBLE_PACKAGE"
        exit 1
    fi
fi

ansible-playbook -i inventory.yaml -K setup_environment.yaml
